List all agreements for a tenant, with their current status
GET
/v1/tenant/{tenantKey}/agreement
const url = 'https://sender.api.kivra.com/v1/tenant/example/agreement';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://sender.api.kivra.com/v1/tenant/example/agreement \ --header 'Authorization: Bearer <token>'List all agreements created by a tenant, with their current status.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”tenantKey
required
string format: hexadecimal
The unique Key for a Tenant
Responses
Section titled “Responses”List of agreements and their status
Media typeapplication/json
List
Array<object>
AgreementStateShortobject
key
Unique agreement id
string
state
Current state for the agreement
string
Example
[ { "key": "1527232009ba54f8186d8c43e2a3c8092b57ca2739", "state": "active" }, { "key": "155265136911763308f2514ff3aa6dacc8211a2107", "state": "revoked" }, { "key": "15100645203cff9f19d92443848c8a2f1cbf257510", "state": "completed" }]